%define	name	oregano
%define	version	0.69.0

Summary:	A GUI to simulate electronic circuit
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel 4
License: 	GPLv2+
Group: 		Graphics

BuildRequires:	freetype2-devel
BuildRequires:	gettext
BuildRequires:	libcairo-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	gnomeui2-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	gtksourceview1-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
BuildRequires:	texinfo
BuildRequires:	xpm-devel
BuildRequires:	gnome-common
BuildRequires:  scons

Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils


Source: 	https://gforge.lug.fi.uba.ar/frs/download.php/62/%{name}-%{version}.tar.gz
URL:		http://oregano.gforge.lug.fi.uba.ar/index.php	
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Oregano is an application for schematic capture and simulation of
electrical circuits. For the actual simulation, Oregano acts as a
front-end for SPICE, which is more or less the industry standard for
circuit simulation.

%prep
%setup -q

%build
perl -pi -e 's/update-mime-database/true/g' SConstruct
scons PREFIX=%{_prefix}/

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
scons  DESTDIR=$RPM_BUILD_ROOT/ PREFIX=%{_prefix}/  install 
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
mv %{buildroot}%{_datadir}/pixmaps/gnome-oregano.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/gnome-oregano.svg
perl -pi -e 's,gnome-oregano.svg,gnome-oregano,g' %{buildroot}%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name}

rm -rf $RPM_BUILD_ROOT/%_datadir/mime/{XMLnamespaces,globs,magic,aliases,subclasses}
rm -rf $RPM_BUILD_ROOT/var

%if %mdkversion < 200900
%post
%update_menus
%{update_desktop_database}
%endif


%if %mdkversion < 200900
%postun
%clean_menus
%{clean_desktop_database}
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS 
%{_bindir}/*
%{_datadir}/mime-info/*
%{_datadir}/oregano
%{_datadir}/applications/*
%{_iconsdir}/hicolor/scalable/apps/gnome-oregano.svg
%{_datadir}/mime/packages/*.xml



%changelog
* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.69.0-4mdv2010.1
+ Revision: 523543
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.69.0-3mdv2010.0
+ Revision: 426349
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.69.0-2mdv2009.0
+ Revision: 218428
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.69.0-2mdv2008.1
+ Revision: 179113
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.69.0-1mdv2008.0
+ Revision: 75116
- rebuild for 2008
- drop old menu entry
- install icon to correct location per fd.o icon theme spec, adjust .desktop file
- buildrequires gtksourceview1, not 2
- use fedora license policy
- new release 0.69.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - Import oregano



* Thu Aug 31 2006 Couriousous <couriousous@mandriva.org> 0.50.1-1mdv2007.0
- 0.50.1
- XDG

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.40.5-3mdk
- Rebuild

* Tue Oct 04 2005 Lenny Cartier <lenny@mandriva.com> 0.40.5-2mdk
- rebuild

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0.40.5-1mdk
- New release 0.40.5

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.40.4-1.20050721.2mdk
- Fix BuildRequires

* Thu Jul 21 2005 Couriousous <couriousous@mandriva.org> 0.40.4-1.20050721.1mdk
- 0.40.4 stable darcs 2005 07 21
- Requires gnucap
- Fix spec

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.40.3-2mdk
- add BuildRequires: perl-XML-Parser scrollkeeper libgnomeui2-devel
  libgtksourceview-devel libcairo-devel libgnomeprintui2-2-devel

* Tue Feb 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.40.3-1mdk
- 0.40.3

* Thu Aug 19 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.23-4mdk
- rebuild, new urls

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.23-3mdk
- rebuild
- drop Prefix tag
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep

* Mon Jan  6 2003 <sbenedict@mandrakesoft.com> 0.23-2mdk
- rebuild for new glibc/rpm

* Tue Jul 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.23-1mdk
- 0.23

* Mon Jan 14 2002 Stefan van der Eijk <stefan@eijk.nu> 0.22-3mdk
- BuildRequires (freetype2-devel)

* Sun Oct 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.22-2mdk
- fix BuildRequires
- Copyright --> License

* Tue May  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.22-1mdk
- version 0.22

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-2mdk
- Clean spec
- Add locales
- Recompiled against latest gnome-print

* Fri Dec 8 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 0.21-1mdk
- add new source

* Fri Nov 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.20-1mdk
- new and shiny source bumped into cooker.

* Mon Nov 6 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 0.18-1mdk
- up to 0.18

* Thu Aug 31 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.17-4mdk
- still some fix in the spec

* Wed Aug 30 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.17-3mdk
- minor fixes in the spec, further macrosification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.17-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.17-1mdk
- Packaged the 0.17

* Tue Apr 18 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.14-2mdk
- repackaged for the new libgnomeprint

* Sat Mar 18 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.14-1mdk
- Packaged the version 0.14

* Sun Mar 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.12-1mdk
- new in contribs
- mandrake build
